# Alfred
<small>The Synology ChatBot</small>

## Preparation

In your synology chat application (let's say at https://chat.example.com), let's create a bot!
* Log in as an administrator
* Click on your avatar and choose `Integration`
* Choose `Bots`
* Click on `Create`
* Select `Activate` but don't hide him, name him `Alfred` (advised but not mandatory ;))
* Outgoing URL should be the URL where the bot is, mine is on the same NAS, so something like this *https://nas.example.com/alfred/index.php*
* Note the `Incoming URL` and `Token` for later 

## Installation

```shell script
git clone 
composer install
cp config.example.php config.php
vi config.php
```

In config.php, you must enter the `Incoming URL` and `Token` previously configured.

You can also change the way the bot will talk to you.

## Bot commands

### Hello world

Tell him `hello`, `hi`, `bonjour` or `salut` and he will respond cordially

### Lorem Ipsum

Tell him `lorem` or `lorem ipsum` 

### Youtubedl

Tell him : télécharge *URL* en `audio`, `video` or `vidéo`, he'll do the job in the background and tell you if the command is launched (but not the result)

### Kanboard

You must configure it first and then :

* To list projects : Tell him something like "Liste moi mes projets"
* To add a task : Tell him "Ajoute la tache *tache dans "project's id""
* To list tasks in a project : Tell him "liste moi les taches de "project's id""